Bug 205561 - Missing monodoc documentation
Missing monodoc documentation
Product: Fedora
Classification: Fedora
Component: gtk-sharp2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-09-07 03:37 EDT by Eskil Bylund
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-12 04:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for the gtk-sharp2 spec file (805 bytes, patch)
2006-09-07 03:37 EDT, Eskil Bylund
no flags Details | Diff
Patch for gtk-sharp2.spec on FC5 (1.64 KB, patch)
2006-09-11 08:44 EDT, Eskil Bylund
no flags Details | Diff
Required documentation patch (1.16 KB, patch)
2006-09-11 08:46 EDT, Eskil Bylund
no flags Details | Diff

  None (edit)
Description Eskil Bylund 2006-09-07 03:37:00 EDT
Description of problem:
The monodoc documentation for GTK# is missing on FC5/devel.

The attached patch adds the documentation in a new subpackage doc. I don't know
if  it's problematic having a BuildRequires on monodoc, since it's in Extras.
Also, %{_prefix}/lib should be replaced with %{_libdir} on devel.
Comment 1 Eskil Bylund 2006-09-07 03:37:01 EDT
Created attachment 135732 [details]
Patch for the gtk-sharp2 spec file
Comment 2 Alexander Larsson 2006-09-07 05:37:52 EDT
Hmmm, it will be tricky with monodoc in extras. 
However, the tarball seems to contain the xml files. Isn't that all that is
Comment 3 Eskil Bylund 2006-09-08 09:58:21 EDT
It seems that the xml files need to be put in an archive using mdassembler
before they can be used in the monodoc browser/Monodevelop.



And after reading some monodoc source code, I found out we can just install the
xml files and ship a modified gtk-sharp-docs.source file. The doc/en/index.xml
file needs to be modified as well since it contains references to nonexisting

The downside is that Monodevelop takes longer (much for some) to startup.
Comment 4 Alexander Larsson 2006-09-11 04:10:00 EDT
Anyone wanna work on this? I don't have time to do so myself, and at least we'd
get some docs. Its very unlikely that we will move monodoc to core at this late
Comment 5 Eskil Bylund 2006-09-11 08:44:35 EDT
Created attachment 135983 [details]
Patch for gtk-sharp2.spec on FC5
Comment 6 Eskil Bylund 2006-09-11 08:46:18 EDT
Created attachment 135984 [details]
Required documentation patch
Comment 7 Eskil Bylund 2006-09-11 08:51:05 EDT
How do these patches for FC5 look? Is it ok to use install and cp directly or
should I use some macro?

On devel (untested): Replace %{_prefix}/lib with %{_libdir}
Comment 8 Alexander Larsson 2006-09-12 04:31:26 EDT
I build this in gtk-sharp2-2.10.0-3.fc6.
Comment 9 Alexander Larsson 2006-09-12 04:33:10 EDT
(Thanks btw)

Note You need to log in before you can comment on or make changes to this bug.